Page MenuHomePhabricator

[LLVM-C] Add Accessors for Common DIType and DILocation Properties
ClosedPublic

Authored by CodaFi on May 8 2018, 9:53 PM.

Details

Summary
  • Adds getters for the line, column, and scope of a DILocation
  • Adds getters for the name, size in bits, offset in bits, alignment in bits, line, and flags of a DIType

Diff Detail

Repository
rL LLVM

Event Timeline

CodaFi created this revision.May 8 2018, 9:53 PM
CodaFi updated this revision to Diff 145861.May 8 2018, 9:54 PM
CodaFi updated this revision to Diff 145862.May 8 2018, 10:00 PM
CodaFi added a comment.May 9 2018, 8:22 PM

Any tests?

Not sure what to test that would be convincing. Any ideas?

You could write the same tests as in llvm-c-test/echo.cpp. But I would not block merging on this.

You could write the same tests as in llvm-c-test/echo.cpp. But I would not block merging on this.

Absolutely. I hope that once I can get the API surface more complete than it is now that we can merge the really noisy DIBuilder binding test with the echo test.

whitequark accepted this revision.May 10 2018, 11:23 AM

OK, looking forward to that then!

This revision is now accepted and ready to land.May 10 2018, 11:23 AM
This revision was automatically updated to reflect the committed changes.